linux: 3.2.0-56.86 -proposed tracker

Bug #1242901 reported by Steve Conklin on 2013-10-21
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-56.86 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 21. October 2013 20:54 UTC
kernel-stable-Prepare-package-end:Wednesday, 23. October 2013 22:18 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 23. October 2013 22:18 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 24. October 2013 04:03 UTC
kernel-stable-Verification-testing-start:Thursday, 24. October 2013 05:08 UTC
kernel-stable-Certification-testing-start:Thursday, 24. October 2013 05:08 UTC
kernel-stable-Security-signoff-start:Thursday, 24. October 2013 05:08 UTC
kernel-stable-Regression-testing-start:Thursday, 24. October 2013 05:08 UTC
kernel-stable-Regression-testing-end:Saturday, 26. October 2013 05:03 UTC
kernel-stable-Security-signoff-end:Monday, 28. October 2013 23:03 UTC
kernel-stable-Certification-testing-end:Tuesday, 05. November 2013 17:01 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 05. November 2013 18:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 08. November 2013 01:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 08. November 2013 02:04 UTC

CVE References

Steve Conklin (sconklin) on 2013-10-21
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1243951
linux-armadaxp - bug 1243954
linux-lowlatency - bug 1243957

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-10-24
description: updated
Brad Figg (brad-figg) on 2013-10-24
description: updated
Paul Larson (pwlars) on 2013-10-26
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-26
description: updated

Hardware Certification have begun testing this -proposed kernel.

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-10-28
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Precise):
status: New → Confirmed

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-56.86/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-11-05
description: updated
Brad Figg (brad-figg) on 2013-11-05
description: updated
tags: added: new-tag-name
tags: removed: new-tag-name
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-56.86

---------------
linux (3.2.0-56.86) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1242901

  [ Upstream Kernel Changes ]

  * Revert "xfs: fix _xfs_buf_find oops on blocks beyond the filesystem
    end"
    - LP: #1236041
    - CVE-2013-1819 fix backport:
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
  * SAUCE: (no-up) Only let characters through when there are active
    readers.
    - LP: #1208740
  * Btrfs: fix hash overflow handling
    - LP: #1091187, #1091188
    - CVE-2012-5375
 -- Steve Conklin <email address hidden> Mon, 21 Oct 2013 15:11:01 -0500

Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2013-11-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers